<template>


    <!-- <lightning-button-icon  icon-name="utility:down" variant="border-filled" alternative-text="Show More" slot="actions"></lightning-button-icon> -->
    <div class="section_row">


        <div class="section_1 slds-card">

            <h3 class="section-title">Work Orders</h3>

            <div class='' data-target-id='WO_001' draggable="true" ondragstart={drag} >
                <div class="wo_card container">
                    <h4><b>WO - 0001</b>&nbsp; &nbsp; <lightning-icon icon-name="utility:edit" size='xx-small'
                            class='edit_icon' alternative-text="Connected"></lightning-icon>
                    </h4>
                    <p>Maintenance</p>
                </div>
            </div>
            <br />

            <div data-target-id='WO_002' draggable="true" ondragstart={drag} >
                <div class="container wo_card">
                    <h4><b>WO - 0002</b>&nbsp; &nbsp; <lightning-icon icon-name="utility:edit" size='xx-small'
                            class='edit_icon' alternative-text="Connected"></lightning-icon>
                    </h4>
                    <p>New Installation</p>
                </div>
            </div>
            <br />

            <div data-target-id='WO_003' draggable="true" ondragstart={drag}>
                <div class="container wo_card">
                    <h4><b>WO - 0003</b> &nbsp; &nbsp; <lightning-icon icon-name="utility:edit" size='xx-small'
                            class='edit_icon' alternative-text="Connected"></lightning-icon>
                    </h4>
                    <p>New Installation</p>
                </div>
            </div>
            <br />


            <div data-target-id='WO_004' draggable="true" ondragstart={drag}>
                <div class="container wo_card">
                    <h4><b>WO - 0004</b>&nbsp; &nbsp; <lightning-icon icon-name="utility:edit" size='xx-small'
                            class='edit_icon' alternative-text="Connected"></lightning-icon>
                    </h4>
                    <p>Maintenance</p>
                </div>
            </div>
        </div>



        <!--Header  row with legends -->

        <!--<table class="legends-table">
    <tr>
        <td>
        <div class="slds-grid slds-grid--vertical-align-center slds-is-relative">   
        
            <span class="color-block tech-busy slds-m-right_x-small"></span>
            <span class="color-text">-<span class="slds-p-left_x-small">Busy</span></span>
                
            &nbsp; &nbsp;
        
            <span class="color-block tech-selected slds-m-right_x-small" id= "dropped_block" draggable="true"></span>
            <span class="color-text">-<span class="slds-p-left_x-small">Assign(Drop the block in time slot to assign technician)</span></span>
            
           
        </div>
        </td>
    </tr>
</table> -->


        <div class="section_2">

            <!-- Title (Date Range) -->
            
                <lightning-layout  horizontal-align="spread">
                    <lightning-layout-item padding="around-medium">
                        <div class="header-column">
                            <p class="slds-page-header__title" title="Field 1"> 20 Dec 2019 - 31 Dec 2019 </p>
                        </div>
                    </lightning-layout-item>

                    <lightning-layout-item padding="around-medium">

                        <lightning-button-icon icon-name="utility:left" variant="border-filled"
                            onclick={navigateToPrevious}></lightning-button-icon>
                        <lightning-button label="Today" onclick={navigateToToday}></lightning-button>
                        <lightning-button-icon icon-name="utility:right" variant="border-filled"
                            onclick={navigateToNext}></lightning-button-icon>
                    </lightning-layout-item>

                    <lightning-layout-item padding="around-medium">
                        <lightning-combobox value={view.value} options={view.options} onchange={handleViewChange}
                            variant="label-hidden" class="slds-m-left_small"></lightning-combobox>
                    </lightning-layout-item>
                </lightning-layout>
            

            <!-- /Title (Date Range) -->




            <table
                class="slds-table slds-table_bordered"
                aria-multiselectable="true">
                <thead>

                    <!--<tr>
                            <th scope="col"
                                style="border-left: 1px solid #dedede;border-top: 1px solid #dedede;width:15%"
                                class="time-slot tableHeading" colspan="1">
                                <div class="headingStyle">

                                    <lightning-combobox name="region" value={defaultValue} placeholder=""
                                        options={regionPicklist} variant="label-hidden" onchange={filterRecords}>
                                    </lightning-combobox>

                                </div>
                            </th>
                            <th colspan="9" style="border-top: 1px solid #dedede;">
                                <div class="slds-grid slds-grid_align-center slds-grid--vertical-align-center">
                                    <div class="slds-text-align_center slds-size_5-of-12">

                                        <lightning-input name="search" class="tool_Search"
                                            placeholder="Search Technician" type="search" variant="label-hidden"
                                            onchange={searchTools}></lightning-input>

                                    </div>

                                 
                                    <div class="slds-text-align_center slds-size_1-of-12">
                                        <lightning-icon class="paddingRight color-icon hover"
                                            icon-name="utility:chevronleft" onclick={dateNavigate} name="left"
                                            size="x-small"></lightning-icon>
                                        <lightning-icon class="slds-p-left_small slds-p-right_small color-icon hover"
                                            icon-name="utility:chevronright" onclick={dateNavigate} name="right"
                                            size="x-small"></lightning-icon>
                                      
                                    </div>
                                </div>
                            </th>
                        </tr>-->

                    <tr class="slds-text-heading_medium" style="font-size: 0.9rem;font-weight: normal;width: 150px;">

                        <th scope="col" class="slds-text-title_caps">
                            <div title="Technicians">Technicians</div>
                        </th>

                        <th scope="col" class="slds-text-title_caps">
                            <div title="Skill Level">Skill Level</div>
                        </th>
                        <!--<aura:iteration items="{!v.arrDateUI}" var="item">-->
                        <template for:each={dateArray} for:item="date">
                            <th key={date} data-id={date.dateVal} scope="col"
                                class="time-slot date slds-text-title_caps">
                                <div style="text-align:center;">{date.day}</div>
                                <div class="slds-truncate" style="text-align:center;" title="" data-index={index}>
                                    {date.date}
                                </div>
                            </th>
                        </template>
                       

                    </tr>
                </thead>

                <tbody>

                   <!-- <tr class="slds-hint-parent slds-text-heading_medium" style="font-size:0.8rem;font-weight: normal;">

                        <th scope="col" style="width: 17px;text-align:Left">
                            John Bailey
                        </th>
                        <th scope="col" style="width: 17px;text-align:Left">
                            5
                        </th>
                        <template for:each={dateArray} for:item="date">
                            <td key={date.dateVal} data-id={date.dateVal} class="resize" colspan="1" lwc:dom='manual'
                                data-target-id={date.dateVal} ondrop={drop} ondragover={allowDrop}>
                              
                            </td>
                        </template>
                    </tr>-->
                    <template for:each={techList} for:item="eachTechnician" for:index="index">
                    
                    <tr key = {eachTechnician.Id} class="slds-hint-parent slds-text-heading_medium" style="font-size:0.8rem;font-weight: normal;">

                        <th scope="col" style="width: 17px;text-align:left;">
                            <div class="slds-media__figure">
                                <lightning-icon icon-name="action:user" size="x-small"></lightning-icon>
                                &nbsp;{eachTechnician.Name}
                            </div>
                           
                        </th>
                        <th scope="col" style="width: 17px;text-align:Left">
                            {eachTechnician.Skill}
                        </th>
                       <template for:each={dateArray} for:item="date" for:index="index">
                        <th key={date.dateVal} data-id={date.dateVal} lwc:dom='manual' data-index={index}  colspan="1" data-target-id={date.dateVal}
                             scope="col" class="resize" ondrop={drop} ondragover={allowDrop}
                            onclick={extendColSpan} >
                        </th>
                    </template> 

                       
                    
                    </tr>
                    </template>
                </tbody>

            </table>
        </div>
    </div>

</template>